/*******************************************************************************
 * Copyright (c) 2014 EclipseSource Muenchen GmbH and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Philip Langer - initial API and implementation
 *******************************************************************************/
package org.eclipse.emf.compare.uml2.tests.opaque.data;

import java.io.IOException;

import org.eclipse.emf.compare.uml2.tests.AbstractUMLInputData;
import org.eclipse.emf.compare.uml2.tests.opaque.OpaqueElementBodyChangeMergeTest;
import org.eclipse.emf.ecore.resource.Resource;

/**
 * Provides test data for the {@link OpaqueElementBodyChangeMergeTest}.
 * 
 * @author Philip Langer <planger@eclipsesource.com>
 */
public class OpaqueInputData extends AbstractUMLInputData {
	public Resource getA1Origin() throws IOException {
		return loadFromClassLoader("a1/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA1Left() throws IOException {
		return loadFromClassLoader("a1/left.uml"); //$NON-NLS-1$
	}

	public Resource getA1Right() throws IOException {
		return loadFromClassLoader("a1/right.uml"); //$NON-NLS-1$
	}

	public Resource getA2Origin() throws IOException {
		return loadFromClassLoader("a2/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA2Left() throws IOException {
		return loadFromClassLoader("a2/left.uml"); //$NON-NLS-1$
	}

	public Resource getA2Right() throws IOException {
		return loadFromClassLoader("a2/right.uml"); //$NON-NLS-1$
	}

	public Resource getA3Origin() throws IOException {
		return loadFromClassLoader("a3/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA3Left() throws IOException {
		return loadFromClassLoader("a3/left.uml"); //$NON-NLS-1$
	}

	public Resource getA3Right() throws IOException {
		return loadFromClassLoader("a3/right.uml"); //$NON-NLS-1$
	}

	public Resource getA4Origin() throws IOException {
		return loadFromClassLoader("a4/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA4Left() throws IOException {
		return loadFromClassLoader("a4/left.uml"); //$NON-NLS-1$
	}

	public Resource getA4Right() throws IOException {
		return loadFromClassLoader("a4/right.uml"); //$NON-NLS-1$
	}

	public Resource getA5Origin() throws IOException {
		return loadFromClassLoader("a5/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA5Left() throws IOException {
		return loadFromClassLoader("a5/left.uml"); //$NON-NLS-1$
	}

	public Resource getA5Right() throws IOException {
		return loadFromClassLoader("a5/right.uml"); //$NON-NLS-1$
	}

	public Resource getA6Origin() throws IOException {
		return loadFromClassLoader("a6/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA6Left() throws IOException {
		return loadFromClassLoader("a6/left.uml"); //$NON-NLS-1$
	}

	public Resource getA6Right() throws IOException {
		return loadFromClassLoader("a6/right.uml"); //$NON-NLS-1$
	}

	public Resource getA7Origin() throws IOException {
		return loadFromClassLoader("a7/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA7Left() throws IOException {
		return loadFromClassLoader("a7/left.uml"); //$NON-NLS-1$
	}

	public Resource getA7Right() throws IOException {
		return loadFromClassLoader("a7/right.uml"); //$NON-NLS-1$
	}

	public Resource getA8Origin() throws IOException {
		return loadFromClassLoader("a8/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA8Left() throws IOException {
		return loadFromClassLoader("a8/left.uml"); //$NON-NLS-1$
	}

	public Resource getA8Right() throws IOException {
		return loadFromClassLoader("a8/right.uml"); //$NON-NLS-1$
	}

	public Resource getA9Origin() throws IOException {
		return loadFromClassLoader("a9/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA9Left() throws IOException {
		return loadFromClassLoader("a9/left.uml"); //$NON-NLS-1$
	}

	public Resource getA9Right() throws IOException {
		return loadFromClassLoader("a9/right.uml"); //$NON-NLS-1$
	}

	public Resource getA10Origin() throws IOException {
		return loadFromClassLoader("a10/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA10Left() throws IOException {
		return loadFromClassLoader("a10/left.uml"); //$NON-NLS-1$
	}

	public Resource getA10Right() throws IOException {
		return loadFromClassLoader("a10/right.uml"); //$NON-NLS-1$
	}

	public Resource getA11Origin() throws IOException {
		return loadFromClassLoader("a11/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA11Left() throws IOException {
		return loadFromClassLoader("a11/left.uml"); //$NON-NLS-1$
	}

	public Resource getA11Right() throws IOException {
		return loadFromClassLoader("a11/right.uml"); //$NON-NLS-1$
	}

	public Resource getA12Origin() throws IOException {
		return loadFromClassLoader("a12/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA12Left() throws IOException {
		return loadFromClassLoader("a12/left.uml"); //$NON-NLS-1$
	}

	public Resource getA12Right() throws IOException {
		return loadFromClassLoader("a12/right.uml"); //$NON-NLS-1$
	}

	public Resource getA13Origin() throws IOException {
		return loadFromClassLoader("a13/origin.uml"); //$NON-NLS-1$
	}

	public Resource getA13Left() throws IOException {
		return loadFromClassLoader("a13/left.uml"); //$NON-NLS-1$
	}

	public Resource getA13Right() throws IOException {
		return loadFromClassLoader("a13/right.uml"); //$NON-NLS-1$
	}

	public Resource getB1Origin() throws IOException {
		return loadFromClassLoader("b1/origin.uml"); //$NON-NLS-1$
	}

	public Resource getB1Left() throws IOException {
		return loadFromClassLoader("b1/left.uml"); //$NON-NLS-1$
	}

	public Resource getB1Right() throws IOException {
		return loadFromClassLoader("b1/right.uml"); //$NON-NLS-1$
	}

	public Resource getE1Origin() throws IOException {
		return loadFromClassLoader("e1/origin.uml"); //$NON-NLS-1$
	}

	public Resource getE1Left() throws IOException {
		return loadFromClassLoader("e1/left.uml"); //$NON-NLS-1$
	}

	public Resource getE1Right() throws IOException {
		return loadFromClassLoader("e1/right.uml"); //$NON-NLS-1$
	}
}
